Griffin Support

Is PowerMate Bluetooth compatible with my computer?

PowerMate Bluetooth uses Bluetooth 4.0. This Bluetooth technology is designed to be more intelligent, especially when it comes to saving energy. In order to ensure that you can use a PowerMate Bluetooth device, you'll need to ensure that your Mac meets the following system requirements:

OS X 10.8 (Mountain Lion)
OS X 10.9 (Mavericks)
Bluetooth 4.0

PowerMate Bluetooth is compatible with the following Macs:

Mid-2011 Macbook Air or newer
Mid-2012 Macbook Pro or newer
Late 2012 iMac or newer
Mid-2011 Mac mini or newer
2013 Mac Pro